Bug 446111 - Plasma crashes in QQuickWindowPrivate::sendFilteredPointerEventImpl()
Summary: Plasma crashes in QQuickWindowPrivate::sendFilteredPointerEventImpl()
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: generic-crash (show other bugs)
Version: master
Platform: Neon Linux
: VHI crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi, wayland
: 434868 440429 444102 448533 450176 451019 451947 451956 458405 459235 459275 459862 460666 460942 461004 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-11-26 10:45 UTC by Patrick Silva
Modified: 2022-10-26 19:00 UTC (History)
10 users (show)

See Also:
Latest Commit:
Version Fixed In: latest release of the KDE Qt patch collection


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-11-26 10:45:37 UTC
Application: plasmashell (5.23.80)

Qt Version: 5.15.3
Frameworks Version: 5.89.0
Operating System: Linux 5.11.0-40-generic x86_64
Windowing System: Wayland
Distribution: KDE neon Unstable Edition
DrKonqi: 5.23.80 [CoredumpBackend]

-- Information about the crash:
- What I was doing when the application crashed:
open the Widgets Explorer on Wayland, drag a widget to desktop, do not release the mouse button and hover over the widget Explorer.

The reporter is unsure if this crash is reproducible.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Content of s_kcrashErrorMessage: std::unique_ptr<char []> = {get() = 0x0}
[New LWP 15498]
[New LWP 15643]
[New LWP 15564]
[New LWP 15565]
[New LWP 15566]
[New LWP 15567]
[New LWP 15681]
[New LWP 16440]
[New LWP 16466]
[New LWP 15743]
[New LWP 16465]
[New LWP 15689]
[New LWP 16464]
[New LWP 16468]
[New LWP 15528]
[New LWP 15649]
[New LWP 15692]
[New LWP 15726]
[New LWP 16467]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Core was generated by `/usr/bin/plasmashell'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __GI_raise (sig=sig@entry=11) at ../sysdeps/unix/sysv/linux/raise.c:50
[Current thread is 1 (Thread 0x7f834c4e64c0 (LWP 15498))]
__preamble__

[Current thread is 1 (Thread 0x7f834c4e64c0 (LWP 15498))]

Thread 19 (Thread 0x7f82e7539700 (LWP 16467)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f82e7538b50, clockid=<optimized out>, expected=0, futex_word=0x7f832000e3c4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f82e7538b50, clockid=<optimized out>, mutex=0x7f832000e370, cond=0x7f832000e398) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f832000e398, mutex=0x7f832000e370, abstime=0x7f82e7538b50) at pthread_cond_wait.c:665
#3  0x00007f8350722558 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f832000e370, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f832000e370) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f832000e480, mutex=mutex@entry=0x558c50a843b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f835071fa61 in QThreadPoolThread::run() (this=0x7f832000e470) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x7f832000e470) at thread/qthread_unix.cpp:329
#8  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7f8301d60700 (LWP 15726)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c52e35334) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c52e352e0, cond=0x558c52e35308) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c52e35308, mutex=0x558c52e352e0) at pthread_cond_wait.c:647
#3  0x00007f83507225cb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x558c52e352e0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x558c565d51c8, mutex=mutex@entry=0x558c565d51c0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f835238ec24 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x558c565d51b8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x558c565d5120) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f835238f099 in QSGRenderThread::run() (this=0x558c565d5120) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c565d5120) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7f83034ae700 (LWP 15692)):
#0  0x00007f835038faff in __GI___poll (fds=0x7f82fc006320, nfds=1, timeout=3498605) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f834ec2b36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f82fc006320, timeout=<optimized out>, context=0x7f82fc000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f82fc000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f834ec2b4a3 in g_main_context_iteration (context=0x7f82fc000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f835095d602 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f82fc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f83509018ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f83034adba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f835071b2c2 in QThread::exec() (this=this@entry=0x558c505bc550) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f830358e07c in KCupsConnection::run() (this=0x558c505bc550) at ./libkcups/KCupsConnection.cpp:289
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c505bc550) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7f8340992700 (LWP 15649)):
#0  0x00007f835038faff in __GI___poll (fds=0x7f8324004a60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f834ec2b36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8324004a60, timeout=<optimized out>, context=0x7f8324000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8324000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f834ec2b4a3 in g_main_context_iteration (context=0x7f8324000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f835095d602 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8324000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f83509018ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8340991be0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f835071b2c2 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c504c0d10) at thread/qthread_unix.cpp:329
#8  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7f834b8ef700 (LWP 15528)):
#0  0x00007f835038faff in __GI___poll (fds=0x7f8344005240, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f834ec2b36e in g_main_context_poll (priority=<optimized out>, n_fds=3, fds=0x7f8344005240, timeout=<optimized out>, context=0x7f8344000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8344000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f834ec2b4a3 in g_main_context_iteration (context=0x7f8344000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f835095d602 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8344000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f83509018ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f834b8eebb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f835071b2c2 in QThread::exec() (this=this@entry=0x7f8351314d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8351290f4b in QDBusConnectionManager::run() (this=0x7f8351314d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x7f8351314d80 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7f82e6c38700 (LWP 16468)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c5cbe2ed0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c5cbe2e80, cond=0x558c5cbe2ea8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c5cbe2ea8, mutex=0x558c5cbe2e80) at pthread_cond_wait.c:647
#3  0x00007f83507225cb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x558c5cbe2e80) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x558c5cc75e68, mutex=mutex@entry=0x558c5cc75e60, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f835238ec24 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x558c5cc75e58) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x558c5cc75dc0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f835238f099 in QSGRenderThread::run() (this=0x558c5cc75dc0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c5cc75dc0) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7f831ffff700 (LWP 16464)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f831fffeb50, clockid=<optimized out>, expected=0, futex_word=0x7f8320006d44) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f831fffeb50, clockid=<optimized out>, mutex=0x7f8320006cf0, cond=0x7f8320006d18) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f8320006d18, mutex=0x7f8320006cf0, abstime=0x7f831fffeb50) at pthread_cond_wait.c:665
#3  0x00007f8350722558 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f8320006cf0, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f8320006cf0) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f8320006f70, mutex=mutex@entry=0x558c50a843b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f835071fa61 in QThreadPoolThread::run() (this=0x7f8320006f60) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x7f8320006f60) at thread/qthread_unix.cpp:329
#8  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7f831e7fc700 (LWP 15689)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c5240cbb0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c5240cb60, cond=0x558c5240cb88) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c5240cb88, mutex=0x558c5240cb60) at pthread_cond_wait.c:647
#3  0x00007f83507225cb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x558c5240cb60) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x558c534bff98, mutex=mutex@entry=0x558c534bff90, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f835238ec24 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x558c534bff88) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x558c534bfef0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f835238f099 in QSGRenderThread::run() (this=0x558c534bfef0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c534bfef0) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7f831f7fe700 (LWP 16465)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f831f7fdb50, clockid=<optimized out>, expected=0, futex_word=0x7f8320033f64) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f831f7fdb50, clockid=<optimized out>, mutex=0x7f8320033f10, cond=0x7f8320033f38) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f8320033f38, mutex=0x7f8320033f10, abstime=0x7f831f7fdb50) at pthread_cond_wait.c:665
#3  0x00007f8350722558 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f8320033f10, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f8320033f10) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f8320004640, mutex=mutex@entry=0x558c50a843b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f835071fa61 in QThreadPoolThread::run() (this=0x7f8320004630) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x7f8320004630) at thread/qthread_unix.cpp:329
#8  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7f8300d21700 (LWP 15743)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c59bf1594) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c59bf1540, cond=0x558c59bf1568) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c59bf1568, mutex=0x558c59bf1540) at pthread_cond_wait.c:647
#3  0x00007f83507225cb in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x558c59bf1540) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x558c59b6ad08, mutex=mutex@entry=0x558c59b6ad00, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007f835238ec24 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x558c59b6acf8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x558c59b6ac60) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007f835238f099 in QSGRenderThread::run() (this=0x558c59b6ac60) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c59b6ac60) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7f8328eea700 (LWP 16466)):
#0  futex_abstimed_wait_cancelable (private=<optimized out>, abstime=0x7f8328ee9b50, clockid=<optimized out>, expected=0, futex_word=0x7f8320036bc4) at ../sysdeps/nptl/futex-internal.h:320
#1  __pthread_cond_wait_common (abstime=0x7f8328ee9b50, clockid=<optimized out>, mutex=0x7f8320036b70, cond=0x7f8320036b98) at pthread_cond_wait.c:520
#2  __pthread_cond_timedwait (cond=0x7f8320036b98, mutex=0x7f8320036b70, abstime=0x7f8328ee9b50) at pthread_cond_wait.c:665
#3  0x00007f8350722558 in QWaitConditionPrivate::wait_relative(QDeadlineTimer) (this=0x7f8320036b70, deadline=...) at thread/qwaitcondition_unix.cpp:136
#4  QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., this=0x7f8320036b70) at thread/qwaitcondition_unix.cpp:144
#5  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x7f83200352a0, mutex=mutex@entry=0x558c50a843b8, deadline=...) at thread/qwaitcondition_unix.cpp:225
#6  0x00007f835071fa61 in QThreadPoolThread::run() (this=0x7f8320035290) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:275
#7  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x7f8320035290) at thread/qthread_unix.cpp:329
#8  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7f831effd700 (LWP 16440)):
#0  0x00007f835039c5ce in epoll_wait (epfd=32, events=events@entry=0x7f831effc7f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007f832845127b in impl_pollfd_wait (object=<optimized out>, pfd=<optimized out>, ev=0x7f831effc9a0, n_ev=<optimized out>, timeout=<optimized out>) at ../spa/plugins/support/system.c:155
#2  0x00007f83284436f4 in loop_iterate (object=0x558c598bc588, timeout=-1) at ../spa/plugins/support/loop.c:316
#3  0x00007f832849e0e0 in do_loop (user_data=0x558c5c953c20) at ../src/pipewire/data-loop.c:80
#4  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7f8329c27700 (LWP 15681)):
#0  0x00007f835038faff in __GI___poll (fds=0x7f8320030580, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f834ec2b36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8320030580, timeout=<optimized out>, context=0x7f83200457c0) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f83200457c0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f834ec2b4a3 in g_main_context_iteration (context=0x7f83200457c0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f835095d602 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8320034720, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f83509018ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8329c26ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f835071b2c2 in QThread::exec() (this=this@entry=0x558c52351c90) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f83522c93fa in QQuickPixmapReader::run() (this=0x558c52351c90) at util/qquickpixmapcache.cpp:1024
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c52351c90) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7f8343fff700 (LWP 15567)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c4fef5d0c) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c4fef5cb8, cond=0x558c4fef5ce0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c4fef5ce0, mutex=0x558c4fef5cb8) at pthread_cond_wait.c:647
#3  0x00007f834a108b1b in cnd_wait (mtx=0x558c4fef5cb8, cond=0x558c4fef5ce0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x558c4fef7120) at ../src/util/u_queue.c:294
#5  0x00007f834a10871b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7f8348d6b700 (LWP 15566)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c4fef5d08) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c4fef5cb8, cond=0x558c4fef5ce0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c4fef5ce0, mutex=0x558c4fef5cb8) at pthread_cond_wait.c:647
#3  0x00007f834a108b1b in cnd_wait (mtx=0x558c4fef5cb8, cond=0x558c4fef5ce0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x558c4fef70e0) at ../src/util/u_queue.c:294
#5  0x00007f834a10871b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7f834956c700 (LWP 15565)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c4fef5d08) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c4fef5cb8, cond=0x558c4fef5ce0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c4fef5ce0, mutex=0x558c4fef5cb8) at pthread_cond_wait.c:647
#3  0x00007f834a108b1b in cnd_wait (mtx=0x558c4fef5cb8, cond=0x558c4fef5ce0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x558c4fef70a0) at ../src/util/u_queue.c:294
#5  0x00007f834a10871b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7f8349d6d700 (LWP 15564)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x558c4fef5d08) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x558c4fef5cb8, cond=0x558c4fef5ce0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x558c4fef5ce0, mutex=0x558c4fef5cb8) at pthread_cond_wait.c:647
#3  0x00007f834a108b1b in cnd_wait (mtx=0x558c4fef5cb8, cond=0x558c4fef5ce0) at ../include/c11/threads_posix.h:155
#4  util_queue_thread_func (input=input@entry=0x558c4fef6e60) at ../src/util/u_queue.c:294
#5  0x00007f834a10871b in impl_thrd_routine (p=<optimized out>) at ../include/c11/threads_posix.h:87
#6  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#7  0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7f8341ce9700 (LWP 15643)):
#0  0x00007f835038faff in __GI___poll (fds=0x7f8330004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007f834ec2b36e in g_main_context_poll (priority=<optimized out>, n_fds=1, fds=0x7f8330004e60, timeout=<optimized out>, context=0x7f8330000c20) at ../../../glib/gmain.c:4346
#2  g_main_context_iterate (context=context@entry=0x7f8330000c20, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4042
#3  0x00007f834ec2b4a3 in g_main_context_iteration (context=0x7f8330000c20, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#4  0x00007f835095d602 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8330000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#5  0x00007f83509018ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f8341ce8bc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f835071b2c2 in QThread::exec() (this=this@entry=0x558c501109a0) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f8351f2f549 in QQmlThreadPrivate::run() (this=0x558c501109a0) at qml/ftw/qqmlthread.cpp:155
#8  0x00007f835071c45c in QThreadPrivate::start(void*) (arg=0x558c501109a0) at thread/qthread_unix.cpp:329
#9  0x00007f8350200609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007f835039c293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7f834c4e64c0 (LWP 15498)):
[KCrash Handler]
#3  0x00007f83523ee120 in QEvent::isAccepted() const (this=<optimized out>) at items/qquickwindow.cpp:3210
#4  QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*) (this=0x558c50679e50, event=0x558c53647960, receiver=0x558c5cc05490, filteringParent=<optimized out>) at items/qquickwindow.cpp:3211
#5  0x00007f83523ee055 in QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*) (this=0x558c50679e50, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at items/qquickwindow.cpp:3314
#6  0x00007f83523ee055 in QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*) (this=0x558c50679e50, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at items/qquickwindow.cpp:3314
#7  0x00007f83523ee055 in QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*) (this=0x558c50679e50, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at items/qquickwindow.cpp:3314
#8  0x00007f83523f4e17 in QQuickWindowPrivate::deliverMouseEvent(QQuickPointerMouseEvent*) (this=this@entry=0x558c50679e50, pointerEvent=0x558c53647960) at items/qquickwindow.cpp:2002
#9  0x00007f83523f663f in QQuickWindowPrivate::deliverPointerEvent(QQuickPointerEvent*) (this=this@entry=0x558c50679e50, event=0x558c53647960) at items/qquickwindow.cpp:2611
#10 0x00007f83523f7569 in QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (event=0x7ffc5c0cbac0, this=0x558c50679e50) at items/qquickwindow.cpp:2456
#11 QQuickWindowPrivate::handleMouseEvent(QMouseEvent*) (this=0x558c50679e50, event=0x7ffc5c0cbac0) at items/qquickwindow.cpp:2409
#12 0x00007f8350cf3e0d in QWindow::event(QEvent*) (this=this@entry=0x558c50782910, ev=ev@entry=0x7ffc5c0cbac0) at kernel/qwindow.cpp:2438
#13 0x00007f83523f8fdb in QQuickWindow::event(QEvent*) (this=this@entry=0x558c50782910, e=e@entry=0x7ffc5c0cbac0) at items/qquickwindow.cpp:1901
#14 0x00007f8352cf86b3 in PlasmaQuick::Dialog::event(QEvent*) (this=0x558c50782910, event=0x7ffc5c0cbac0) at ./src/plasmaquick/dialog.cpp:1387
#15 0x00007f8351615dc3 in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=0x558c4fd59ad0, receiver=receiver@entry=0x558c50782910, e=e@entry=0x7ffc5c0cbac0) at kernel/qapplication.cpp:3632
#16 0x00007f835161ebb8 in QApplication::notify(QObject*, QEvent*) (this=0x7ffc5c0cbf80, receiver=0x558c50782910, e=0x7ffc5c0cbac0) at kernel/qapplication.cpp:3156
#17 0x00007f8350902daa in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x558c50782910, event=0x7ffc5c0cbac0) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#18 0x00007f8350ce84d8 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at kernel/qguiapplication.cpp:2282
#19 0x00007f8350ce9b45 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) (e=0x558c5fc79a00) at kernel/qguiapplication.cpp:2002
#20 0x00007f8350cc17ac in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1169
#21 0x00007f834e7cd624 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) () at /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#22 0x00007f834ec2b17d in g_main_dispatch (context=0x558c4fd7a9e0) at ../../../glib/gmain.c:3309
#23 g_main_context_dispatch (context=context@entry=0x558c4fd7a9e0) at ../../../glib/gmain.c:3974
#24 0x00007f834ec2b400 in g_main_context_iterate (context=context@entry=0x558c4fd7a9e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../../../glib/gmain.c:4047
#25 0x00007f834ec2b4a3 in g_main_context_iteration (context=0x558c4fd7a9e0, may_block=may_block@entry=1) at ../../../glib/gmain.c:4108
#26 0x00007f835095d602 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x558c4fd786d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#27 0x00007f83509018ab in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffc5c0cbe60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#28 0x00007f8350909a64 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#29 0x0000558c4dcefdd5 in main(int, char**) (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:238

Possible duplicates by query: bug 439875, bug 434868, bug 418245, bug 417947, bug 417526.

Reported using DrKonqi
This report was filed against 'kde' because the product 'plasmashell' could not be located in Bugzilla. Add it to drkonqi's mappings file!
Comment 1 Patrick Silva 2021-11-26 11:00:15 UTC
Exact steps to reproduce:
1. open the Widgets Explorer on Wayland
2. drag a widget to desktop, do not release the mouse button and hover over the widget Explorer until the cursor changes to 'not allowed' shape
(notice that the Widget Explorer became greyed out)
4. close the Widget Explorer: Plasma crashes
5. open an app via Kickoff or icon on desktop: Plasma crashes again
Comment 2 Nate Graham 2022-01-12 17:49:13 UTC
Those steps make this 100% reproducible for me. Backtrace:

(gdb) bt
#0  QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*) (this=0x7e33d0, event=0x6c28e30, receiver=0x5a830a0, filteringParent=<optimized out>)
    at items/qquickwindow.cpp:3212
#1  0x00007ffff75a247d in QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*)
    (this=0x7e33d0, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at items/qquickwindow.cpp:3315
#2  0x00007ffff75a247d in QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*)
    (this=0x7e33d0, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at items/qquickwindow.cpp:3315
#3  0x00007ffff75a247d in QQuickWindowPrivate::sendFilteredPointerEventImpl(QQuickPointerEvent*, QQuickItem*, QQuickItem*)
    (this=0x7e33d0, event=<optimized out>, receiver=<optimized out>, filteringParent=<optimized out>) at items/qquickwindow.cpp:3315
#4  0x00007ffff759c282 in QQuickWindowPrivate::deliverMouseEvent(QQuickPointerMouseEvent*)
    (this=this@entry=0x7e33d0, pointerEvent=0x6c28e30) at items/qquickwindow.cpp:2003
#5  0x00007ffff759cd23 in QQuickWindowPrivate::deliverPointerEvent(QQuickPointerEvent*)
    (this=0x7e33d0, event=0x6c28e30) at items/qquickwindow.cpp:2612
#6  0x00007ffff5a09425 in QWindow::event(QEvent*) (this=0xb004b0, ev=<optimized out>)
    at kernel/qwindow.cpp:2438
#7  0x00007ffff6445443 in QApplicationPrivate::notify_helper(QObject*, QEvent*)
    (this=<optimized out>, receiver=0xb004b0, e=0x7fffffffcea0) at kernel/qapplication.cpp:3632
#8  0x00007ffff55ac7d8 in QCoreApplication::notifyInternal2(QObject*, QEvent*)
    (receiver=0xb004b0, event=0x7fffffffcea0) at kernel/qcoreapplication.cpp:1064
#9  0x00007ffff59fdb98 in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) (e=0x7fff3031ec30) at kernel/qguiapplication.cpp:2275
#10 0x00007ffff59ddc9c in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) (flags=...) at kernel/qwindowsysteminterface.cpp:1169
#11 0x00007ffff3966684 in userEventSourceDispatch(_GSource*, int (*)(void*), void*) ()
    at /lib64/libQt5WaylandClient.so.5
#12 0x00007ffff3b77130 in g_main_dispatch (context=0x501530) at ../glib/gmain.c:3381
#13 g_main_context_dispatch (context=0x501530) at ../glib/gmain.c:4099
#14 0x00007ffff3bcc208 in g_main_context_iterate.constprop.0
    (context=context@entry=0x501530, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at ../glib/gmain.c:4175
#15 0x00007ffff3b74933 in g_main_context_iteration (context=0x501530, may_block=1)
    at ../glib/gmain.c:4240
#16 0x00007ffff55fdbb8 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x4fdb10, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#17 0x00007ffff55ab1e2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)
    (this=this@entry=0x7fffffffd230, flags=..., flags@entry=...)
    at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#18 0x00007ffff55b3724 in QCoreApplication::exec() ()
    at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#19 0x00007ffff59f2c40 in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1860
#20 0x00007ffff64453b9 in QApplication::exec() () at kernel/qapplication.cpp:2824
#21 0x000000000041f750 in main(int, char**) (argc=<optimized out>, argv=<optimized out>)
    at /home/nate/kde/src/plasma-workspace/shell/main.cpp:238

Same backtrace as Bug 440429, but that's in System Settings.
Comment 3 David Edmundson 2022-01-14 15:55:27 UTC
*** Bug 434868 has been marked as a duplicate of this bug. ***
Comment 4 Marco Martin 2022-01-18 10:27:54 UTC
*** Bug 434868 has been marked as a duplicate of this bug. ***
Comment 5 Marco Martin 2022-01-18 10:48:11 UTC
can reproduce on master
Comment 6 Patrick Silva 2022-01-18 11:42:48 UTC
Can confirm. I'm also unable to reproduce with Plasma 5.24 beta on Arch Linux.
Comment 7 Marco Martin 2022-01-18 14:07:11 UTC
can you try to update QtWayland from the kde patches? the commit
0b15d7f Delay deletion of QDrag

that one fixes the issue for me, so recent, patched Qt is needed
Comment 8 Patrick Silva 2022-01-18 14:19:44 UTC
Oh, I misread your comment 5, sorry. I can't reproduce on my two systems, but I'm reopening because you can on yours.
Comment 9 Nate Graham 2022-01-18 20:34:40 UTC
Marking as an upstream issue since it's already fixed in Qt.
Comment 10 Nate Graham 2022-01-21 01:39:21 UTC
*** Bug 448533 has been marked as a duplicate of this bug. ***
Comment 11 Nate Graham 2022-01-21 01:39:34 UTC
*** Bug 440429 has been marked as a duplicate of this bug. ***
Comment 12 Nate Graham 2022-01-21 01:39:44 UTC
*** Bug 444102 has been marked as a duplicate of this bug. ***
Comment 13 Nate Graham 2022-02-16 05:55:21 UTC
*** Bug 450176 has been marked as a duplicate of this bug. ***
Comment 14 Nate Graham 2022-03-22 01:01:12 UTC
*** Bug 451019 has been marked as a duplicate of this bug. ***
Comment 15 Nate Graham 2022-03-27 18:57:08 UTC
*** Bug 451947 has been marked as a duplicate of this bug. ***
Comment 16 Nate Graham 2022-03-27 18:57:12 UTC
*** Bug 451956 has been marked as a duplicate of this bug. ***
Comment 17 Patrick Silva 2022-03-28 12:16:02 UTC
is the upstream fix present on neon unstable? A crash duplicate of this happened yesterday on my neon unstable.
Comment 18 Nate Graham 2022-03-31 21:01:34 UTC
Since the supposed fix commit is in the patch collection, and you're using Neon which has the latest version of it, I guess this isn't fixed after all.
Comment 19 Nate Graham 2022-08-30 20:02:42 UTC
*** Bug 458405 has been marked as a duplicate of this bug. ***
Comment 20 Nate Graham 2022-09-18 02:46:36 UTC
*** Bug 459235 has been marked as a duplicate of this bug. ***
Comment 21 Fushan Wen 2022-09-18 05:05:19 UTC
*** Bug 459275 has been marked as a duplicate of this bug. ***
Comment 22 Bug Janitor Service 2022-09-18 05:19:56 UTC
A possibly relevant merge request was started @ https://invent.kde.org/qt/qt/qtwayland/-/merge_requests/55
Comment 23 Fushan Wen 2022-09-22 16:17:40 UTC
Git commit 31241d7fb6a7ffb8f56bc8ac35ed9f3bc61735b5 by Fushan Wen.
Committed on 22/09/2022 at 11:58.
Pushed by davidedmundson into branch 'kde/5.15'.

Call `finishDrag()` in `QWaylandDataDevice::dragSourceCancelled()`

Drags can either get finished or cancelled. If a drag is finished
successfully we call finish on the QBasicDrag instance, which quits
the nested event loop. This patch adds the connection for cancelled
drags.

See also: https://bugs.kde.org/show_bug.cgi?id=446111

Pick-to: 6.4 6.2 5.15
Change-Id: Ib93040648da88a433d647c87adcb7a7fabcaef6c
Reviewed-by: Liang Qi <liang.qi@qt.io>
(cherry picked from commit c92282b865efcf8c571bb52b5f96d8ad260a1cda)

M  +1    -0    src/client/qwaylanddatadevice.cpp

https://invent.kde.org/qt/qt/qtwayland/commit/31241d7fb6a7ffb8f56bc8ac35ed9f3bc61735b5
Comment 24 Nate Graham 2022-10-09 22:02:24 UTC
*** Bug 459862 has been marked as a duplicate of this bug. ***
Comment 25 Nate Graham 2022-10-24 20:57:37 UTC
*** Bug 460666 has been marked as a duplicate of this bug. ***
Comment 26 Nate Graham 2022-10-24 20:57:41 UTC
*** Bug 460942 has been marked as a duplicate of this bug. ***
Comment 27 Nate Graham 2022-10-26 19:00:21 UTC
*** Bug 461004 has been marked as a duplicate of this bug. ***